' Copyright (c) Microsoft Corporation.  All rights reserved.

'------------------------------------------------------------------------------
' PLEASE NOTE:  Microsoft Corporation (or based on where you live, one of its affiliates) 
' licenses this supplement to you.  You may use it with each validly licensed copy of Microsoft 
' Visual Studio Pre-Release Code-Name "ORCAS" software (the “software”).  You may not use the 
' supplement if you do not have a license for the software.  The license terms for the software 
' apply to your use of this supplement. 
'
' Please note: As this software is distributed in Quebec, Canada, this notice is provided below in French.
' Remarque: Ce logiciel étant distribué au Québec, Canada, les termes de cette licence sont fournis ci-dessous en français.
' REMARQUE:  Microsoft Corporation (ou en fonction du lieu où vous vivez, l’un de ses affiliés) vous 
' accorde une licence pour ce supplément.  Vous pouvez utiliser une copie de ce supplément avec chaque 
' copie concédée sous licence du logiciel Microsoft Visual Studio Pre-Release Code-Name "ORCAS" (le « logiciel »).  
' Vous n’êtes pas autorisé à utiliser ce supplément si vous n’êtes pas titulaire d’une licence pour le logiciel.  
' Les conditions de licence pour le logiciel s’appliquent à l’utilisation de ce supplément.  
'------------------------------------------------------------------------------
Imports NorthwindLib
Imports System.Data.Objects


Public Partial Class Products
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Using db As New Northwind(CType(Application("ConnectionString"), String))

            ' see if we should filter based on a category
            Dim categoryId As Integer
            If Not Integer.TryParse(Request("categoryId"), categoryId) Then
                ' redirect to the category list page if no specific category
                ' was passed in
                Response.Redirect("ProductCategories.aspx")
            End If

            ' find the category
            Dim cat As Category = db.CreateQuery(Of Category)( _
                "SELECT VALUE c FROM Categories AS c WHERE c.CategoryID = @id", _
                New ObjectParameter("id", categoryId)).First()

            lblCategory.Text = cat.CategoryName

            ' bind the grid to a query that returns the products for this
            ' category
            gridProducts.DataSource = cat.Products.Source
            gridProducts.DataBind()
        End Using
    End Sub

End Class
